Download it now!
Bug 95617 - Removal of conditional formatting not registered as an undo
Summary: Removal of conditional formatting not registered as an undo
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2015-11-05 20:59 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-04-08 21:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-11-05 20:59:13 UTC
Steps:
1) Open attachment 114686 [details]
2) Format > Conditional Formatting > Manage...
3) Remove any of the ranges and click 'OK' button
4) Undo button not activated, though Save button is now active

Manage dialog was introduced in LO 3.6.

Version: 5.1.0.0.alpha1+
Build ID: 7a40c137e480329d9cf2b7946c2d83d9e52e8d29
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-10-31_23:29:52
Locale: en-US (en_US.UTF-8)
Comment 1 A (Andy) 2015-11-06 19:38:41 UTC
Reproducible with LO 5.0.3.2., Win 8.1.
Comment 2 QA Administrators 2016-11-08 12:02:53 UTC Comment hidden (obsolete)
Comment 3 pajaro 2017-01-26 14:25:46 UTC
debian/experimental 1:5.3.0~rc2-1

This still happens. To add to this, when you copy/paste a cell within a CF range, the range is split in several ranges. This cant be undo either
Comment 4 Commit Notification 2017-04-08 20:58:19 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=effa6dcb553bd3fc6df89ac88604816feda98873

support undo of whole conditional format list, tdf#95617

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-04-08 20:59:36 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55f81ec93752a0b6f7ee2356db3c8d73d550d1e6

add test for tdf#95617

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Markus Mohrhard 2017-04-08 21:00:39 UTC
The current change can not be backported. However there might be a solution by leaving out the string change and reusing the string for the single conditional format undo object.